


    drop table emailuser onerror warning;
    create table emailuser 
       (usercode       char(10),   /* this is a comment */
        msgcode        char(8),   /* default msgcode  */
        email          char(60),
        msg1          char(75),
        msg2          char(75),
        msg3          char(75),
        msg4          char(75),
        msg5          char(75),
        msg6          char(75),
        msg7          char(75),
        msg8          char(75),
        msg9          char(75),
        msg10         char(75),
        msg11         char(75),
        msg12         char(75),
        msg13         char(75),
        msg14         char(75)
        );
   create unique index emailuserkey
        on emailuser (usercode);

    insert into emailuser (usercode, msgcode, email, msg1, msg2, msg3) values
     ("infoflex","", "gmemail@infoflex.com", "", "     Sincerely, ", "     Infoflex, Inc.");

    drop table emailmsg onerror warning;
    create table emailmsg 
       (msgcode       char(8),   /* this is a comment */
        msg1          char(75),
        msg2          char(75),
        msg3          char(75),
        msg4          char(75),
        msg5          char(75),
        msg6          char(75),
        msg7          char(75),
        msg8          char(75),
        msg9          char(75),
        msg10         char(75),
        msg11         char(75),
        msg12         char(75),
        msg13         char(75),
        msg14         char(75)
        );
   create unique index emailmsgkey
        on emailmsg (msgcode);

insert into emailmsg (msgcode, msg1, msg2, msg3) values
      ("DEFAULT",
"", 
"     The information you requested is attached. ", 
"");

insert into emailmsg (msgcode, msg1, msg2, msg3) values
      ("NOREPLY",
"",
"This message has been sent from an outgoing e-mail server and does not",
"accept incoming e-mails.  Please do not reply to this e-mail.");


    drop table emailattach onerror warning;
    create table emailattach 
       (seqno          integer,
        description    char(30),
        attachments    char(100)
        );
   create unique index emailattachkey
        on emailattach (seqno);

insert into emailattach (seqno, attachments, description) values
("10", "Terms.pdf", 
 "Invoice Terms");

