#include<stdio.h> 
#include <errno.h>
#include<sys/socket.h> 
#include<netinet/in.h> 
#include<arpa/inet.h> 
#include<netdb.h> 


long portnumber;
char *host;
FILE *fp;

#define MAXIMAGESIZE 2024

int main(int argc, char *argv[])
{ 
    char *pszApp = *argv++;
    char *pszarg1 = *argv++;
    char *pszarg2 = *argv++;
    char buf[MAXIMAGESIZE + 2]; 
    struct sockaddr_in pin; 
    int sock_descriptor; 
    int address_size; 
    int bytes_received;
    struct hostent *server_host_name; 

    portnumber=strtoul("55001",NULL, 10);

    /** table: need IP address of PC  **/
    server_host_name=gethostbyname("127.0.0.1"); 

    if (argc > 3) {
        printf("Usage: %s host port-number\n", pszApp);
        exit(1);
        }

    if (argc > 1 ) {
        if ((server_host_name=gethostbyname(pszarg1)) == NULL ) {
            printf("Usage: %s host port-number\n", pszApp);
            exit(1);
	    }
        }

    if (argc > 2 ) {
        portnumber = strtoul(pszarg2,NULL,10);
        if ((portnumber < 1024 ) || (portnumber > 65535) ) {
            printf("Invalid port number: range 1024-65535\n");
            exit(1);
            }
        }


//remote host is local host  
bzero(&pin,sizeof(pin));  /** like memset **/
pin.sin_family=AF_INET;   /*** IP 4 internet protocol xxx.xxx.xxx.xxx ***/
pin.sin_addr.s_addr=((struct in_addr *) (server_host_name->h_addr))->s_addr; 
pin.sin_port=htons(portnumber);  /* part of socket library */

//create socket 
fp=fopen("/tmp/msig.bmp","w");
for ( ; ; ) {
    printf("1\r\n");
    sock_descriptor=socket(AF_INET,SOCK_STREAM,6); 
    printf("2\r\n");
    if (connect(sock_descriptor,(void *)&pin,sizeof(pin)) != 0 ) 
	    exit(2);
    printf("3\r\n");
    strcpy(buf,"<SendSignature>"); //message that will be sent 
    send(sock_descriptor,buf,strlen(buf),0); 
    printf("4\r\n");
    bzero(buf, MAXIMAGESIZE+2);
    /*recv(sock_descriptor,buf,80,0); */
    //while (recv(sock_descriptor,buf,512,0) > 0 )
    printf("5\r\n");
    bytes_received=recv(sock_descriptor,buf,MAXIMAGESIZE,0);
    printf("Bytes Received %d %d (%d)\n", bytes_received, sock_descriptor, errno);
    if (bytes_received > 0 ) {
         fwrite(buf, 1, bytes_received,fp);
         printf("\nReceived from server : %s\n",buf); 
         printf("%s",buf); 
         printf("Bytes Received %i\n",bytes_received);
         break;
         bzero(buf, MAXIMAGESIZE+2);
         } 
    close(sock_descriptor); 
    }  /* end of for loop */

fclose(fp);

exit(0);
} 

 
 
