/* Worldwide Copyright (c) Byte Designs Ltd (1997)                  
----------------------------------------------------------------------
test data structures and such
----------------------------------------------------------------------
*/

#include <iswrap.h>

#define MAXVAR  2500

struct TestData
  {
  char   pid[2];            /* key 1 */
  char   seq[2];            /* key 1 */
  char   i16[2];            /* key 2 */
  char   i32[4];            /* key 3 */
  char   str[10];           /* key 4 */
  char   two[10];           /* key 5 */
  short  m16;               /* key 6 */
  long   m32;               /* key 7 */
  float  f4;                /* key 8 */
  double f8;                /* key 9 */
  char   var[MAXVAR];       /* varlen */
  };
  
#define FIXLEN  ( sizeof( struct TestData ) - MAXVAR )
#define VARLEN  ( sizeof( struct TestData ) )

int t_build( char *name, int kid, char *opts );
int t_write( int isfd, int id, int count );
int t_update( int isfd, int id, int count );
int t_delete( int isfd, int id, int count );
int t_updrec( int isfd, int id, int count );
int t_delrec( int isfd, int count );
int t_updnxt( int isfd, int id, int count );
int t_delnxt( int isfd, int count );
int t_buildkey( struct keydesc *key, int kid );
int t_addidx( int isfd, int kid );
int t_delidx( int isfd, int kid );
int t_readidx( int isfd, int mode, int kid );
int t_readequ( int isfd, int id, int count, int kid );
int t_showinfo( int isfd );
int t_showkey( struct keydesc *kdsc );
int t_showdata( struct TestData *data );
int t_showdata2( struct TestData *data );
int t_filldata( struct TestData *data, int pid, int seq );
int t_fillvar( struct TestData *data );
long t_compare( struct TestData *one, struct TestData *two, int idx );
int t_check( int isfd );
int t_checkvar( struct TestData *data );
char *t_opts( int *argc, char *argv[] );
