/************************************************************************
*                       - INFOFLEX System -
* This source code is CONFIDENTIAL and PROPRIETARY to CUSTOMWARE COMPUTING,
* INC. (CWC). The information contained herein may not be used, copied or
* disclosed in whole or in part except as permitted by written agreement
* signed by an officer of CWC.
*
* COPYRIGHT (c) 1986 CUSTOMWARE COMPUTING, INC., BURLINGAME, CALIFORNIA.
* ALL RIGHTS RESERVED.
*
* Version: %V%  %R%
* Date: %D%  %T%
*************************************************************************/

extern char *cwdbpath;
extern char *cwpgpath;
extern char *cwpicpath;
extern char *fxdirpath;
extern char *fxmsgpath;
extern char *fxversion;
extern char *fxeditpath;
extern char *fxhelppath;
extern char *fxprtpath;
extern char *fxprintpath;
extern char *fxdatepath;
extern char *fxtemppath;
extern char *fxdbtemppath;
extern int fxtermtype;
extern FXRPTVAR fxrptvar;
extern char *cwbios;
extern int cwflexcall;
extern int chgmodeflag;
extern int fxrpttest;
extern int fxsysflag;
extern char *fxselcmd;
extern int fxentsave;
extern int fxadvcursor;
extern int fxstackflexkey;
extern DBINDEX *fxselectindex;
extern int fxrptnomsg;
extern int fxfmdelflag;
extern int fxchkfieldflag;
extern PFUNC   fxwhileedit;
extern char grptexportformat[];
extern char grptdestonly[];
extern char fxpdfoverlay[];
extern FILE *fxuidfopen();
extern int fxmoveflag;
extern int fxonlineflag;
extern long flob_getsize();

extern char *cwmemptr;
extern unsigned cwmemsize;
extern int cwsymbol;
extern unsigned fxmemtest();

extern long curdate;
extern long curtime;
extern long fxmaxrecord;
extern char fxcmdprint[];
extern char fxlogparm[];
extern char fxlogpath[];
extern char fxquerymsg[];

extern int informixversion;

extern GLOBAL  global;
extern PFUNC   gbefedit;
extern PFUNC   gwhileedit;
extern PFUNC   gaftedit;
extern PFUNC   gaftfield;
extern PFUNC   gftwrexit;
extern PFUNC   ghelpedit;
extern PFUNC   gexitfunc;
extern int     gxformat;
extern HDHEAD  ghdhead;
extern SLIST  gslist;
extern RLIST  grlist;
extern QLIST  gqlist;
extern QUERYHEAD gqueryhead;
extern QUERYHEAD gsavequeryhead;
extern int gsavequeryflag;
extern TERMVAR termvar;
extern PRNTVAR prntvar;
extern MOUSEVAR mousevar;

extern SCRFIELD *gmsgfield;

extern FIELD   *getfp();
extern DBHEAD  *getdhp();
extern DBFIELD *getdfp();
extern DBINDEX *getdip();
extern DBHEAD  *getndhp();
extern DBFIELD *getndfp();
extern DBFIELD *getdidfp();
extern DBINDEX *getndip();
extern DBHEAD  *getxdhp();
extern DBFIELD *getxdfp();
extern DBINDEX *getxdip();
extern char *getdhbuf();
extern char *getdfbuf();

extern SCRHEAD  *getshp();
extern SCRFIELD *getsfp();
extern SCRHEAD  *getnshp();
extern SCRFIELD *getnsfp();
extern SCRHEAD  *getxshp();
extern SCRFIELD *getxsfp();
extern SCRTRANS *getstp();
extern PFUNC getufptr();
extern char *putshbuf();
extern char *getshbuf();
extern char *getsfbuf();

extern char *getsymptr();
extern char *getrtxt();

#ifndef _H_STRING
    /* fxsql.h include string.h which conflicts with below */
#ifdef IBMAIX
extern char *strcpy(char *, char *);
extern char *strcat(char *, char *);
extern char *strncpy(char *, char *, int);
extern char *strncat(char *, char *, int);
#else
extern char *strcpy();
extern char *strcat();
extern char *strncpy();
extern char *strncat();
extern char *strchr();
#endif
#endif


extern char *strcompress();
extern char *strtrim();
extern char *fxstrfind();
extern char *strxfind();

extern char *fxmkpath();

extern char *getdfchar();
extern char *putdfchar();
extern char *getsfchar();
extern char *putsfchar();
extern int getdfint();
extern int putdfint();
extern int getsfint();
extern int putsfint();
extern long getdflong();
extern long putdflong();
extern long getsflong();
extern long putsflong();
extern double getdfdbl();
extern double putdfdbl();
extern double getsfdbl();
extern double putsfdbl();
extern float getdffloat();
extern float putdffloat();
extern float getsffloat();
extern float putsffloat();
extern double getdfdec();
extern double putdfdec();
extern double getsfdec();
extern double putsfdec();
extern double getdfmoney();
extern double putdfmoney();
extern double getsfmoney();
extern double putsfmoney();

extern double fxround();
extern double mnyprint();
extern double mnyround();

extern char *backslashquote();
extern char *cwgetenv();
extern char *fxloadmsg() ;

  extern int saveflexmode;
  extern int userlevel;
  extern int flexerrno;
  extern int flexmsgno;
  extern int  flexmode;    /*  screen mode  */
  extern int  flexsavemode;    /*  screen mode  */
  extern int  flexkey;  /*  action key  */
  extern int  fxhelpflexkey;  /*  action key  */
  extern char flexprog[];
  extern char flexname[];

  extern char msgbuf[];

  extern int fxnoselect;
  extern int fxdefaultwrite;
  extern char fxdefaultpath[];
  extern int fxnolabel;
  extern int fxeditviewmode;
  extern int fxviewmode;
  extern int fxeditflag;

/* These are the GLOBAL Variables set by psscansetglobals */
  extern PFUNC   gscanexit;
  extern int gscanprefix[];
  extern int gscansuffix[];

  extern int fxscanprefix[];
  extern int fxscansuffix[];
  extern char fxscanvalue[];
  extern int fxscanflag;
  extern int fxscaneditflag;

  extern char funcmbuf[];
  extern int funcmflag;

  extern char commbuf[];
  extern int errgmflag;

  extern int  cwquit;       /* set by sighandler() function */
  extern int  cwmsgno;     /* error number  - index into error message array */

extern int cur_attr;

extern int dpokeflag;
extern char *blankline;

extern PFUNC ctlafunc;
extern PFUNC ctlcfunc;
extern PFUNC ctldfunc;
extern PFUNC ctlefunc;
extern PFUNC ctlffunc;
extern PFUNC ctlgfunc;
extern PFUNC ctlnfunc;
extern PFUNC ctlpfunc;
extern PFUNC ctlrfunc;
extern PFUNC ctltfunc;
extern PFUNC ctlxfunc;
extern PFUNC ctlzfunc;

extern long CU_getcount();

