/************************************************************************
*                       - INFOFLEX System -
* This source code is CONFIDENTIAL and PROPRIETARY to CUSTOMWARE COMPUTING,
* INC. (CWC). The information contained herein may not be used, copied or
* disclosed in whole or in part except as permitted by written agreement
* signed by an officer of CWC.
*
* COPYRIGHT (c) 1986 CUSTOMWARE COMPUTING, INC., BURLINGAME, CALIFORNIA.
* ALL RIGHTS RESERVED.
*
* Version: %V%  %R%
* Date: %D%  %T%
*************************************************************************/
#define keyread(  A, B)           kmaprec( A, B, CWGETDF)
#define keynread(  A, B, C)       kmapnrec( A, B, C, CWGETDF)
#define keywrite( A, B)           kmaprec( A, B, CWPUTDF)
#define keynwrite( A, B, C)       kmapnrec( A, B, C, CWPUTDF)
#define smapnkey( A, B, C, D)     kmapnkey( A, B, C, D, CWPUTSF)
#define dmapnkey( A, B, C, D)     kmapnkey( A, B, C, D, CWPUTDF);

/* xmaprng( dbhead, dbbuf, scrfirst, scrlast, scrbuf, type); */
#define dmapfld( A, B)            dmaprng( A, B, B)
#define smapfld( A, B)            smaprng( A, B, B)
#define tmapfld( A )              tmaprng( A, A )

#define dclrfld( A)              dclrrng(A, A)
#define sclrfld( A)              sclrrng(A, A)
#define tclrfld( A)              tclrrng(A, A)
#define modofffld(A)    modoffrng(A, A)
#define modonfld(A)     modonrng(A, A)
#define exportsffld(A)  exportsfrng(A, A)
#define exportdffld(A)  exportdfrng(A, A)

#define getnshp( A)              ghdhead.hdShptr[ (A)]
#define getnsfp( A)              &ghdhead.hdSfptr[ (A)]
#define getxshp()               ghdhead.hdShptr
#define getxsfp()               ghdhead.hdSfptr
#define getrsfp( A, B)         ((A)->shScrfield + B)
/* #define getpshn( A)        ((int)(A - ghdhead.hdShptr)) */
#define getpsfn( A, B)     ((int)(B - ghdhead.hdSfptr))
#define getpsfr( A, B)     ((int)( B -  (A)->shScrfield))

#define getndhp( A)              ghdhead.hdDhptr[ (A)]
#define getndfp( A)              &ghdhead.hdDfptr[ (A)]
#define getndip( A)              &ghdhead.hdDiptr[ (A)]
#define getxdhp()                 ghdhead.hdDhptr
#define getxdfp()                 ghdhead.hdDfptr
#define getxdip()                 ghdhead.hdDiptr
#define getrdhp( A)              ghdhead.hdDhptr[ (A)]
#define getrdip( A, B)          ((A)->dhDbindex + B)
#define getrdfp( A, B)          ((A)->dhDbfield + B)
/* exists as function: #define getpdhn( A)        ((int)(A - ghdhead.hdDhptr)) */
#define getpdhr( A)        ((int)(A - ghdhead.hdDhptr)) 
#define getpdin( A, B)     ((int)(B - ghdhead.hdDiptr))
#define getpdir( A, B)     ((int)(B -  (A)->dhDbindex))
#define getpdfn( A, B)     ((int)(B - ghdhead.hdDfptr))
#define getpdfr( A, B)     ((int)(B -  (A)->dhDbfield))

#define fxgetfieldname( A)      getsymptr( (A) )

#define getnihp( A)              &ghdhead.hdIhptr[ (A)]
#define getnifp( A)              &ghdhead.hdIfptr[ (A)]

#define getrtxt( A)              (A)
#define getitxt( A)              (ghdhead.hdRtxtptr + A)


#define fmgetview( A)            fmsetview( A, CWGETDF)
#define fmputview( A)            fmsetview( A, CWPUTDF)




#define fxtolower(c)	(('A' <= c && c <= 'Z') ? c | 040 : c)
#define fxtoupper(c)	(('a' <= c && c <= 'z') ? c & 0137 : c)

#define fxmalloc( A, B)        malloc( A)
#define fxcalloc( A, B, C)     calloc( A, B)
#define fxfree( A, B)          free( A)
