/************************************************************************
*                       - INFOFLEX System -
* This source code is CONFIDENTIAL and PROPRIETARY to CUSTOMWARE COMPUTING,
* INC. (CWC). The information contained herein may not be used, copied or
* disclosed in whole or in part except as permitted by written agreement
* signed by an officer of CWC.
*
* COPYRIGHT (c) 1986 CUSTOMWARE COMPUTING, INC., BURLINGAME, CALIFORNIA.
* ALL RIGHTS RESERVED.
*
* Version: %V%  %R%
* Date: %D%  %T%
*************************************************************************/

#define PRTSIZE 75 
#define KH_MAGIC    0x1248

typedef struct {
  short pv_nprtseq;
  char **pv_prtseq;
  short  pv_exists;
  char   pv_usrname[20]; /* name user inputs on reportflex */
  char   pv_osname[20];  /* name used by Operating System (unix's lp spooler) */
  char   pv_devname[20]; /* name of Printflex config file  */
  short  pv_pagewidth;
  short  pv_pagelength;
  short  pv_topmargin;
  short  pv_bottommargin;
  short  pv_endformfeed;
  short  pv_useformfeed;
  char   pv_options[40];
  } PRNTVAR;

typedef struct {
 char ph_magic[2];     /* magic number (always KH_MAGIC) */
 char ph_version[16];  /* version information */
 char ph_termname[16]; /* terminal name    */
 char ph_nprtseq[2];   /* total # of crt control sequences */
 char ph_prtnalloc[2]; /* total # of bytes for crt ctrl sequences */
 char ph_filler[2];    /* fill out structure for worst case alignment
                                 (ie. multiple of 4)    */
} PRNTHDR;


#define P_10PITCH     0
#define P_12PITCH     1
#define P_COMPRESS    2
#define P_RESET       3
#define P_INIT        4 
#define P_LMARGIN     5
#define P_OPENDRAWER  6
#define P_CUTPAPER    7

