#!/usr/bin/perl -w


use CGI;
use FXUT qw(fxabort);
use FXDB;
use File::Basename;

my $MENUFILE = "actmenu.html";
my $CALLSELF = "http://$ENV{HTTP_HOST}$ENV{SCRIPT_NAME}";

setactwebenv();

$login = getpwuid($<);
my $db = new FXDB; 
$db->connect($ENV{FXDB}, $login);
my $cgi = CGI::new();
my $action = $cgi->param("action");
my $userid = $cgi->param("userid");
my $password = $cgi->param("password");
# if ($action eq "LOGIN") {
#   print "Set-Cookie: actlogin=$userid,$password\n";
#   }

my $picpath;
my $webpath;
my $rpttitle = $cgi->param("rpttitle");
my $execline = $cgi->param("execline");
my $execpath;
my $execname;
my $picname;
my $args;
if (defined $execline) {
    $execline =~ /^\s*(\S+)\s+(\S+)\s*(.*)$/;
    $execname = $1;
    $picname = $2;
    $args = $3 if (defined $3);
    if ($picname =~ /^\$sysform\.(\S+)$/) {
       my $column = $1;
       my $cursor = $db->SQLprepare("select $column from sysform");
       $cursor->SQLexecute();
       ($picname) = $cursor->SQLfetchrow();
       }
    if (defined $args) {
        my @args = split '\s+', $args;
        if (@args > 3) {
            shift @args;
            shift @args;
            shift @args;
            }
        $args = join ' ', @args;
        }
    $picpath  = "$picname.pic";
    $webpath  = "$picname.web";
    }

my $selectpath = "$ENV{FXTEMP}/$userid.def";

print $cgi->header();
print "<HTML>\n";

# print "HTTP_COOKIE: $ENV{'HTTP_COOKIE'}";

if ($action eq "" || $action eq "LOGOUT") {
    login();
    html_trailer(1);
    }
elsif ($action eq "LOGIN") {
    if (loginverify() < 0)  {
       login();
       html_trailer(1);
       }
    else {
       reportmenu();
       html_trailer(2);
       }
    }
elsif ($action eq "REPORTMENU") {
    my $cryptuserid = $cgi->param("cryptuserid");
    if ($cryptuserid eq crypt($userid, "ACT")) {
       reportmenu();
       }
    else {
       print "<h1>illegal attempt to bypass security<h1>\n";
        }
    html_trailer(2);
    }
elsif ($action eq "REPORTSELECT") {
    reportselect(0);
    html_trailer(3);
    }
elsif ($action eq "RUN REPORT") {
    if (reportrun() < 0) {
       reportselect(1);
       }
    html_trailer(3);
    }
else {
    print "INVALID ACTION ($action) !!!!";
    }
print "</HTML>\n";

sub login
{

    print "<HEAD><TITLE>ACCOUNTFLEX LOGIN</TITLE></HEAD>\n";
    print "<CENTER>";
    print "<BODY bgcolor=#fffff8 background=\"\">";
    print "<H1>ACCOUNTFLEX LOGIN</H1>\n";
    print "<FORM METHOD=POST>";
    print "<br><H2>Please fill in your login name and password.</h2>";
    print "<P>Name: <INPUT TYPE=\"text\" NAME=\"userid\" VALUE=\"$userid\" SIZE=\"10\" MAXLENGTH=\"10\">";
    print "Password: <INPUT TYPE=password NAME=\"password\" SIZE=\"10\" MAXLENGTH=\"10\">";
    print "<br><HR><br>";
    print "<INPUT TYPE=\"submit\" NAME=\"action\" VALUE=\"LOGIN\">";
    print "</CENTER>";
    print "</FORM>";
    print "</BODY>";

    # FXUT::showenv_html();

    return(0);
}

sub loginverify
{

   if (!defined($userid) || $userid eq "") {
       print "<H1>Login name required !!!</H1>\n";
       return(-1);
       }
   my $cursor = $db->SQLprepare("select usercode, password, menuprogram from webuser where usercode = ?");
   $cursor->SQLexecute($userid);
   my ($table_userid, $table_password, $table_menuprogram) = $cursor->SQLfetchrow();
   if (defined($table_menuprogram) && $table_menuprogram !~ /^\s*$/) {
      $MENUFILE = $table_menuprogram;
      }
   if ($password eq "goact") { # security bypass 
       return(0);
       }
   if ($userid ne $table_userid) {
       print "<H1>Invalid Login name !!!</H1>\n";
       return(-1);
       }
   elsif ($password ne $table_password) {
       print "<H1>Invalid password !!!</H1>\n";
       return(-1);
       }
   return(0);
}

sub reportmenu
{
    my $indent_count; 

    open (INPUT, "$MENUFILE") or die "Can't open report $MENUFILE: $!\n";

    while (<INPUT>) {
        chomp;
        if ($_ !~ /^\s*$/ && $_ !~ /^\s*\</) {
           my ($titleline, $execline);
           if ($_ =~ /\|/) {
              ($titleline, $execline) = split '\|', $_;
              }
           else {
              $execline = "";
              $titleline = $_;
              }
           if (!defined $execline || $execline eq "") {
               print "<tr><td><b>$titleline</b>\n";
               }
           else {
               if ($execline =~ /\$sysform\.(\S+)/) {
                  my $column = $1;
                  my $cursor = $db->SQLprepare("select $column from sysform");
                  $cursor->SQLexecute();
                  ($picname) = $cursor->SQLfetchrow();
                  if (!defined $picname || $picname eq "")  {
                     next;
                     }
                  }
               print "<tr><td>";
               $execline =~ s/^\s*(.*?)\s*$/$1/;  # remove surrounding spaces
               $execline =~ s/\s/\+/g;
               if ($titleline =~ /^\s+/) {
                  print "<ul>";
                  }
               my $rpttitle = $titleline;
               $rpttitle =~ s/^\s*(.*?)\s*$/$1/;  # remove surrounding spaces
               if ($rpttitle !~ /Report$/) {
                   $rpttitle = $rpttitle . " Report";
                   }
               $rpttitle =~ s/\s/\+/g;
               print "<a href=$CALLSELF?userid=$userid&action=REPORTSELECT&execline=$execline&rpttitle=$rpttitle>$titleline</a>\n";
               }
           print "</td></tr>\n";
           next;
           }
        print "$_\n";
        }

    close INPUT;

    return(0);
}

sub reportselect
{
    my $mode = $_[0];


    #  mode = 0 means first time thru
    #         1 means report failed and are re-displaying select screen 


    if ($picname eq "") {
        print "<H1>Report not implemented</H1>\n";
        exit;
        } 
    if ($mode == 0) {   # first time thru (not returning from report error)
        #  if web form does not exist create from picfile 
        if (!-e $webpath) {
           my $cmd = "$ENV{FXDIR}/bin/fxpw $picpath $webpath";
           # print "$cmd<br>";
           if (fxsystem($cmd) != 0) {
              exit;
              }
           }
        #  Get Defaults by running report program with special param 'W' 
        FXUT::Remove($selectpath);
        my $cmd = "$ENV{FXBIN}/$execname $picname S 1 NYW,$selectpath $args";
        # print "$cmd<br>";
        if (fxsystem($cmd) != 0) {
           exit;
           }
        }

    print "<HEAD><TITLE>$rpttitle</TITLE></HEAD>\n";
    print "<CENTER>\n";
    print "<BODY bgcolor=#fffff8 background=\"\">";
    if (! -e $webpath) {
       FXUT::fxlog("$webpath does not exist $!\n");
       print "<H1>RUN REPORT</H1>\n";
       print "<FORM METHOD=POST>\n";
       }
    else {
       my %hashdefault = ();
       %hashdefault = fxreaddefault($selectpath);
       open (INPUT, "$webpath") or die "Can't open report $webpath: $!\n";
       print "<CENTER><BR><H1>$rpttitle</H1><HR size=4></CENTER>";
       print "<FORM METHOD=POST>\n";
       print "<TABLE>\n";
       while ( my $line = <INPUT>) {
           chomp $line;
           my @list = split '\|', $line;
           foreach(@list) {
              $_ =~ s/^(.*?)\s*$/$1/;  # remove trailing spaces
              }
           my ($prompt, $type, $size, $miscattr, $comment, @cols) = @list;
           
           print "<tr><td align=right>$prompt</td>\n";
           print "<td>\n";
           for (my $col_count=0; $col_count < @cols; $col_count++) {
               my @colparms = split '\,', $cols[$col_count];
               my $value = $hashdefault{$colparms[0]};
               if ($miscattr =~ /include\(/) {
                   my $include = $miscattr; 
                   $include =~ s/^.*include\((.*)\)/$1/;
                   #print "INCLUDE: $include";
                   my @value_array = split ',', $include;
                   my @value_list = ();
                   foreach my $val (@value_array) {
                      if ($val =~ /\~/) { 
                          my @value_range = split '\~', $val;
                          for ($i=$value_range[0];$i <= $value_range[1]; $i++) {
                              push @value_list, $i;
                              }
                          }
                      else {
                          push @value_list, $val;
                          }
                      }
                   my $required = "";
                   if ($miscattr =~ /required/)  {
                      $required = 'Y';
                      }
                   my $statement = html_select_list($colparms[0], \@value_list, 
                                $value, $required);
                   print $statement;
                   next;
                   }
               my $valueparm = "";
               if (defined($value)) {
                   $valueparm = "VALUE=\"$value\"";
                   }
               print "<INPUT TYPE=\"text\" NAME=\"$colparms[0]\" $valueparm SIZE=\"$size\" MAXLENGTH=\"$size\">\n";

               } # end of for loop
            print "</td>\n";
 
           if (defined($comment) || $comment ne "") {
              $comment =~ s/\(press HELP.*$//;
              print "<td align=left>$comment</td>";
              }
           print "</tr>\n";
           }
       print "</TABLE>\n";
       close INPUT;
       }



    print "<br><HR><br>";
    print "<INPUT TYPE=\"hidden\" NAME=\"userid\" VALUE=\"$userid\">\n";
    print "<INPUT TYPE=\"submit\" NAME=\"action\" VALUE=\"RUN REPORT\">\n";
    print "<INPUT TYPE=\"hidden\" NAME=\"execline\" VALUE=\"$execline\">\n";
    print "<INPUT TYPE=\"hidden\" NAME=\"rpttitle\" VALUE=\"$rpttitle\">\n";
    print "<INPUT TYPE=\"reset\" VALUE=\"RESET\">\n";
    print "</CENTER>\n";
    print "</FORM>\n";
    print "</BODY>\n";

    
    return(0);
}


sub reportrun
{
    FXUT::Remove($selectpath);

    my $reporttype = "";
    if ($picname eq "tminvr") {
       $reporttype = "HTML";
       }

    if (-e $webpath) {
       my $rtnflag = 0;
       open (INPUT, "$webpath") or die "Can't open report $webpath: $!\n";
       my %hashdefault = ();
       while ( my $line = <INPUT>) {
           chomp $line;
           my @list = split '\|', $line;
           foreach(@list) {
              $_ =~ s/^(.*?)\s*$/$1/;  # remove trailing spaces
              }
           my ($prompt, $type, $size, $miscattr, $comment, @cols) = @list;
           for (my $col_count = 0; $col_count < @cols; $col_count++) {
               my @colparms = split '\,', $cols[$col_count];
               my $value = $cgi->param($colparms[0]);
               if (chkdbcol($prompt, $type, $miscattr, $cols[$col_count], \$value) < 0) {
                   $rtnflag = -1;
                   }
               $hashdefault{$colparms[0]} = $value; # save nulls  
               # next if (!defined($value) || $value eq "");
               }
           }
       close INPUT;
       fxwritedefault($selectpath, \%hashdefault);
       if ($rtnflag == -1) {
          return(-1);
          }
       }

    print "<HEAD><TITLE>$rpttitle</TITLE></HEAD>\n";
    print "<BODY bgcolor=#fffff8 background=\"\">";
    print "<INPUT TYPE=\"hidden\" NAME=\"userid\" VALUE=\"$userid\">\n";
    print "<INPUT TYPE=\"hidden\" NAME=\"execline\" VALUE=\"$execline\">\n";
    if ($reporttype ne "HTML") { 
       print "<CENTER><BR><H1>$rpttitle</H1><HR size=4></CENTER>";
       }
    if ($reporttype ne "HTML") { # if Report in HTML code then no <PRE> !!!
        print "<PRE>\n";
        }

    my $cmd = "$ENV{FXBIN}/$execname $picname SOUT 1 NYR,$selectpath $args";
    # print $cmd;
    if (fxsystem($cmd) != 0) {
       }
    if ($reporttype ne "HTML") {
        print "</PRE>\n";
        }
    print "</BODY>\n";
    return(0);
}


sub fxreaddefault
{
   $pathname = $_[0];
   my %hash = ();

   if (! -e $pathname) {
      return(%hash);
      }

   open (DEFFILE, "$pathname") or die "Can't open report $pathname: $!\n";
   my $title = <DEFFILE>;
   chomp $title;
   if ($title !~ /\!select/) {
      fxabort("Format error reading $pathname: no screen name on first line ($title)");
      }
   while (my $line = <DEFFILE>) {
       chomp $line;
       my ($colname, $colvalue) = split '=', $line; 
       $colname =~ s/^\s*(.*?)\s*$/$1/;  # remove surrounding spaces
       $colvalue =~ s/^(.*?)\s*$/$1/;  # remove trailing spaces
       $hash{$colname} = $colvalue;
       }
   close DEFFILE;
   return(%hash);
}

sub fxwritedefault
{
   my $pathname =  $_[0];
   my $hash_ref =  $_[1];
   my %hash = %$hash_ref;
   open (DEFFILE, ">$pathname") or die "Can't open report $selectpath: $!\n";
   print DEFFILE "!select\n";
   foreach(keys %hash) {
       if ($hash{$_} eq "null"  || $hash{$_} eq "NULL") {
          $hash{$_} = "";
          } 
       print DEFFILE "   $_=$hash{$_}\n";
       }
   close DEFFILE;
}

sub fxsystem
{
    my $cmd = $_[0];
    my $return = system($cmd);
    my $status = ($? >> 8);  # Child status
    if ($status != 0) {
        print "fxsystem($cmd) failed with status=$status, return=$return";
        }
    return($status);
}

sub setactwebenv 
{
    my $SCRIPTFILE = "actwebenv";
    
    open (INPUT, "$SCRIPTFILE") or die "Can't open report $SCRIPTFILE: $!\n";
    while (<INPUT>) {
        if (!defined($_) || $_ =~ /^\s*$/) {
           next;
           }
        my ($var, $path) = split '\=', $_;
        $var =~ s/^\s*(.*?)\s*$/$1/;  # remove surrounding spaces
        $path =~ s/^\s*(.*?)\s*$/$1/;  # remove surrounding spaces
        $ENV{$var} = $path;
        }
    close INPUT; 

    my ($path, $suffix);
    ($ENV{FXDB}, $path, $suffix) =  fileparse($ENV{FXAPDIR});
    if (!exists $ENV{FXDATA} && exists $ENV{FXAPDIR} ) {
       $ENV{FXDATA} = "$ENV{FXAPDIR}/$ENV{FXDB}.dbs";
       }
    if (!exists $ENV{DBPATH} && exists $ENV{FXAPDIR} ) {
       $ENV{DBPATH} = "$ENV{FXAPDIR}";
       }
    if (!exists $ENV{FXBIN} && exists $ENV{FXAPDIR} ) {
       $ENV{FXBIN} = "$ENV{FXAPDIR}/bin";
       }
    if (!exists $ENV{FXDEFAULT} && exists $ENV{FXAPDIR} ) {
       $ENV{FXDEFAULT} = "$ENV{FXAPDIR}/defaults";
       }
    if (!exists $ENV{FXTERM} ) {
       $ENV{FXTERM} = "web";
       }
    if (!exists $ENV{SQLRUN} ) {
       $ENV{SQLRUN} = "y";
       }
    if (!exists $ENV{FXRUN} ) {
       $ENV{FXRUN} = "y";
       }
    if (!exists $ENV{FXDBTEMP} ) {
       $ENV{FXDBTEMP} = "/tmp";
       }
    if (!exists $ENV{FXTEMP} ) {
       $ENV{FXTEMP} = "/tmp";
       }

    return(0);
}


sub chkdbcol
{
    my $prompt = $_[0];
    my $type = $_[1];
    my $miscattr  = $_[2];
    my $col  = $_[3];
    my $ref_value = $_[4];

    my $value = $$ref_value;
    if ($miscattr =~ /upshift/) {
       $$ref_value = uc($value);
       $value = $$ref_value;
       }
    if ($col =~ /required/ && 
        ($value =~ /^\s*$/ || $value eq "null")) { 
       print $cgi->h2("$prompt is a required entry !!!");
       return(-1);
       }

    if ($value ne "") {
        if ($type eq "serial" || $type eq "long" ||
            $type eq "smallint" || $type eq "integer" || $type eq "int") { 
            $value =~ s/^\s*(.*?)\s*$/$1/;  # remove surrounding spaces
            if ($value !~ /^[\-\+0123456789]/)  {
                print $cgi->h2("$prompt must be NUMERIC ($value) !!!");
                return(-1);
                }
            }
        if ($type eq "money" || $type eq "decimal" || $type eq "float") { 
            $value =~ s/^\s*(.*?)\s*$/$1/;  # remove surrounding spaces
            if ($value !~ /^[\.\-\+0123456789]/)  {
                print $cgi->h2("$prompt must be NUMERIC ($value) !!!");
                return(-1);
                }
            }
        if ($type eq "date") { 
            $value =~ s/^\s*(.*?)\s*$/$1/;  # remove surrounding spaces
            if (dbchkdate($value) < 0) {
               print $cgi->h2("$prompt has Invalid date: use 'MMDDYY' !!!");
               return(-1);
               }
            }
        }

    return(0);
}


sub dbchkdate
{
  my $date = shift(@_);
  my ($month, $day, $year);
  if ($date =~ /\//) {
     my @date = split '\/', $date;
     $month = $date[0];
     $day   = $date[1];
     $year  = $date[2];
     }
  else {
     my @date = split '', $date;
     if (@date == 6) {
        $month = $date[0] . $date[1]; 
        $day   = $date[2] . $date[3]; 
        $year  = $date[4] . $date[5]; 
        } 
     if (@date == 5) {
        $month = $date[0]; 
        $day   = $date[1] . $date[2]; 
        $year  = $date[3] . $date[4]; 
        } 
     }

  # my $value = "$month\/$day\/$year";
  # print $value;

  if ($month >= 1 && $month <= 12 && 
     $day >= 1 && $day <= (0,31,29,31,30,31,30,31,31,30,31,30,31)[$month] &&
     (($year >= 1950 && $year <= 2025) || ($year >= 0 && $year <= 25) || ($year >= 50 && $year <= 99))   ) {
    return(0);
    }
  return(-1);
}

=head2  getcurdate        

Get Current Date in MM/DD/YYYY format

=cut


sub getcurdate
{
  my $curdate;
  my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime(time);

  $curdate  =  $mon+1;
  $curdate .=  "/" ;
  $curdate .=  $mday;
  $curdate .=  "/";
  $curdate .=  $year+1900;
  return($curdate);
}


=head2  html_select_list   

Generates HTML code for a selection list.

=cut

sub html_select_list
{
  my $fieldname = $_[0];
  my $value_list = $_[1];
  my $default_value = $_[2];
  my $required = $_[3];
  my $value;


  my $return_value =  "<select name=$fieldname size=1>\n";

  foreach $value (@$value_list) {
    $return_value .= "<option";
    $return_value .= " selected" if ($default_value eq $value);
    $return_value .= " value=\"$value\">$value";
    }

  if ($required ne "Y" || isempty($default_value)) {
    $return_value .= "<option";
    $return_value .= " selected" if (isempty($default_value));
    $return_value .= " value=null>&nbsp";
    }

  $return_value .= "</select>\n";

  return($return_value);
}

=head2  html_select_boolean  

Generates HTML code for a boolean selection list .

=cut

sub html_select_boolean
{
  my $name = $_[0];
  my $default_value = $_[1];
  my $required = $_[2];


  my $value = "";
  my $return_value =  "<select name=$name size=1>\n";

  $return_value .= "<option";
  $return_value .= " selected" if ($default_value eq "t");
  $return_value .= " value=t>True";

  $return_value .= "<option";
  $return_value .= " selected" if ($default_value eq "f");
  $return_value .= " value=f>False";

  if ($required ne "Y" || isempty($default_value)) {
    $return_value .= "<option";
    $return_value .= " selected" if (isempty($default_value));
    $return_value .= " value=null>&nbsp";
    }

  $return_value .= "</select>\n";

  return($return_value);
}

sub html_trailer 
{
    my $mode = $_[0];
 
    print "<p><CENTER>\n";
    print "<table border=1>\n";
    print "<tr>\n";
    print "<td align=center width=100 height=30>\n";
    print "<a href=\"$ENV{WEBHOME}\">Home</a>\n";
    print "</td>\n";
    if ($mode > 1) {
        print "<td align=center width=100 height=30>\n";
        print "<a href=\"$CALLSELF\">Logout</a>\n";
        print "</td>\n";
        }
    if ($mode > 2) {
        $cryptuserid = crypt($userid, "ACT");
        print "<td align=center width=100 height=30>\n";
        print "<a href=\"$CALLSELF?action=REPORTMENU&userid=$userid&cryptuserid=$cryptuserid\">Report Menu</a>\n";
        print "</td>\n";
        }
    print "</tr>\n";
    print "</table>\n";
    print "</center>\n";
}


sub isempty
{
   if ($_[0] =~ /^\s*$/ || $_[0] eq "" || 
       $_[0] eq "null" || $_[0] eq "NULL" || $_[0] eq "&nbsp") {
    return 1;
    }
  return 0;
}
