
/*

Copyright Byte Designs Ltd. (c) 1998            code by Bruce Fast

This header is automatically included by isglobal.h if dos locking is 
required.  All file manipulation must be done outside of the compiler's
standard library when locking, because compilers are inconsistant in
implementing shared memory IO.

This header automatically does all necessary rerouting.  The actual functions
are found in doslock.c

*/

#define open  dosopen
#define close dosclose
#define lseek dosseek
#define read  dosread
#define write doswrite

#ifdef MLARGE
#define far /* not useable for large model */
#endif
